grundlegende Probleme mit 1.5.2 perl addon und windows

Alles, was Perl betrifft, kann hier besprochen werden.

grundlegende Probleme mit 1.5.2 perl addon und windows

Postby Mathias Wilhelm » 09. May 2006 12:07

Salut,
ich habe xampp 1.5.0_pl1 und wollte auf xampp 1.5.2 umsteigen. Dazu habe ich das xampp 1.5.2 zip file ausgepackt, setup_xampp laufen lassen, perl addon ausgepackt und zweimal setup_xampp laufen lassen (Download von Heute). Verzeichniss ist c:\opt\xampp
Danach läuft keines meiner perl scripte mehr, sofern sie mit require eine datei laden. Die Fehlermeldung besagt, dass die datei im @INC nicht gefunden werden kann obwohl der Pfad "." in @INC vorhanden ist und die Datei im gleichen Verzeichnis liegt (aus error.log). Wenn ich mit "use lib 'c:\opt\xampp\cgi-bin\test';" den Pfad explizit angebe, kann die Datei gelesen werden. Gleichfalls funktioniert auch ein "require 'c:\opt\xampp\cgi-bin\test\test.conf';"

Unter 1.5.0_pl1 läuft alles ohne Probleme.

Ist das nun ein Bug oder eine Feature?
Ciao, Mathias
Mathias Wilhelm
 
Posts: 10
Joined: 24. September 2004 12:07
Location: Bad Bellingen

Return to Perl

Who is online

Users browsing this forum: No registered users and 1 guest